%define _disable_ld_no_undefined	%nil

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		gedit-cossa
Version:	3.2.0
Release:	%mkrel 2
Summary:	gedit plugin for GTK+ themes previewing
Group:		Editors
License:	GPLv2+
URL:		http://projects.gnome.org/gedit
Source0:	http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:		gedit-cossa-3.2.0-link.patch
BuildRequires:	intltool
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.2
BuildRequires:	pkgconfig(gedit) >= 3.0
BuildRequires:	gnome-common
BuildRequires:	gettext-devel
Requires:	gedit

%description
gedit-cossa is a CSS previewer for GTK+ themes, integrating with gedit so the
edited CSS is promptly visible in the various samples. gedit-cossa may be easily
extended with more samples and allows zooming these to help get the tiny details
right.

%prep
%setup -q
%apply_patches

%build
%configure2_5x --disable-static
%make V=1

%install
%makeinstall_std

%find_lang %{name}

#we don't want these
find %{buildroot} -name "*.la" -delete

%files -f %{name}.lang
%doc README NEWS COPYING
%{_bindir}/*
%{_libdir}/gedit/plugins/*
%dir %{_datadir}/gedit/plugins/cossa
%{_datadir}/gedit/plugins/cossa/*


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 3.2.0-2.mga3
+ Revision: 351235
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 14 2012 fwang <fwang> 3.2.0-1.mga3
+ Revision: 330684
- update link patch
- fix linkage

* Sun Nov 13 2011 wally <wally> 3.2.0-1.mga2
+ Revision: 167198
- fix group
- clean .spec
- imported package gedit-cossa

